/* حالت اولیه */
.banner_slider .swiper-slide .animation_img img {
  position: relative;
  width: 100%;
  display: block;
  transition: all 1s ease;
}

/* حالت animate → زمانی اجرا می‌شود که اسلاید بعدی وارد شود */
.banner_slider .swiper-slide.animate .animation_img img {
  transform: translateX(-50%) scaleX(2);
  filter: blur(10px);
}

/* حالت active → دقیقا وقتی اسلاید نمایش داده می‌شود */
.banner_slider .swiper-slide-active .animation_img img {
  transform: translateX(0) scaleX(1);
  filter: blur(0);
}

.banner_slider .swiper-horizontal>.swiper-pagination-bullets, .swiper-pagination-bullets.swiper-pagination-horizontal{
      -webkit-mask-image: url("../../Images/design/curve.svg");
    mask-image: url("../../Images/design/curve.svg");
    -webkit-mask-size: 100% 100%;
    mask-size: 100% 100%;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    background-color: #ffffff;
        position: absolute;
    bottom: -1px;
    inset-inline-start: 1rem;
    padding: 0 2.25rem 0 2.25rem;
    z-index: 100;
    transform: scale(-1);
    width: max-content;
}

.btn-prev.disabled,
.btn-next.disabled {
  opacity: 0.4;
  pointer-events: none; /* غیر فعال کردن کلیک */
}


/* story */

:root{
  --theme-light-10:rgb(255 255 255 / 10%);
  --theme-light-20:rgb(255 255 255 / 20%);
  --theme-light-30:rgb(255 255 255 /30%);
  
}

.bg-gradient-story {
  background: linear-gradient(to right, #833ab4, #fd1d1d, #fcb045);
}

.progress {
  flex: 1;
  height: 3px;
  background: var(--theme-light-30);
  border-radius: 4px;
  overflow: hidden;
}
.progress-fill {
  height: 100%;
  width: 0%;
  background: linear-gradient(to right, #833ab4, #fd1d1d, #fcb045);
  transition: width linear;
}

.progressContainer {
  pointer-events: none;
}
@-webkit-keyframes spin-slow {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@-moz-keyframes spin-slow {
  0% {
    -moz-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -moz-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@-o-keyframes spin-slow {
  0% {
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes spin-slow {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.animate-spin-slow {
  -webkit-animation: spin-slow 3s linear infinite;
  -moz-animation: spin-slow 3s linear infinite;
  -o-animation: spin-slow 3s linear infinite;
  animation: spin-slow 3s linear infinite;
}

.story-modal::backdrop {
  background: rgba(0, 0, 0, 0.8);
}

.video_control_range{
background-color: var(--theme-light-10);
}
.next-story,
.prev-story,
.story-link{
  background-color: var(--theme-light-10);
}
.next-story:hover,
.prev-story:hover,
.story-link:hover{
  background-color: var(--theme-light-20);
}
.video-details-content{
background: linear-gradient(
  to bottom,
  rgba(0,0,0,0) 0%,
  rgba(0,0,0,1) 100%
);

}

/* story */
